- [HTTP request](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.request_body)
- [Response body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.response_body)
- [Authorization scopes](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/create#body.aspect)

Creates a project. Note: This call can take up to 1 minute to complete depending on the number of ad entities provided in the project.

### HTTP request

`POST https://mmmdata.googleapis.com/v0/{parent=accounts/*}/projects`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent who owns this project. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `projectId` | `string` Optional. The project ID is a string that must be in the 3-4-3 format (e.g., `abc-d45g-hij`). Characters between hyphens must be lowercase letters or digits. Corresponds to the `{project}` segment in the resource name. Note: Some legacy project IDs may be UUIDs. |

### Request body

The request body contains an instance of `https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects#Project`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects#Project`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mmm_data`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).